/*=============================================
재정패널 만들기 : smart_nastab_search_v2 명령어 
2019-05-25: 11차 데이터 업데이트  
==============================================*/
program define smart_nastab_search_v2, rclass
version 14.0 
clear
	syntax , [wd(string) website(string)] hp(string) word(string) wave(string)  	
	qui cd "`wd'" 
	local v1 "`wave'" 
	return scalar NW=wordcount("`v1'") 
	
	foreach v of local v1   {	
	
		set more off
		if "`website'"=="" {
			local hp=proper("`hp'")
			use NaSTaB`v'`hp', clear 
		}
		else if "`website'"~="" {
		    local hp=proper("`hp'")
			use `website'/NaSTaB`v'`hp', clear	
		}
		
		* 여기서부터 11월 6일 수정함 
		tempfile file1
		qui save `file1', replace 		
		
		qui ds
		local varlist2 `r(varlist)' 
		local nn=wordcount("`varlist2'") 

		forvalues i=1(1)`nn'  {
			local Z: word `i' of `varlist2'
			local Z1=substr("`Z'",1,1)+substr("`Z'",4,.)
				if regexm("`Z'","hs") {
					local Z1=substr("`Z'",1,2)+substr("`Z'",5,.)
				}
				else if regexm("`Z'","ps") {
					local Z1=substr("`Z'",1,2)+substr("`Z'",5,.)
				}
				else if regexm("`Z'","p_") {
					local Z1=substr("`Z'",1,2)+substr("`Z'",5,.)
				}				
			
			local aa: variable label `Z'
			local ab "`Z1';`aa'"
			qui label variable `Z' "`ab'"
			local Y=subinstr("`ab'"," ","",.)
			qui label var `Z' "`Y'"
		}
		local word=subinstr("`word'"," ","",.)			
		qui ds , has(varlabel *`word'*)
		
		* 다시 원래대로 띄어쓰기를 돌린다. 
		use `file1', clear 
		
		if "`r(varlist)'"=="" {
			di _n
			di as yel "================== " "NaSTaB`v'`hp'.dta 파일에서 `word'를(을)포함한 변수 리스트" " ========================"
			di in red "해당하는 변수가 없습니다. 검색어는 1개만 지정할 수 있습니다." 
			di _n
		}	
	
		else if "`r(varlist)'"~="" {
			di _n
			di as yel "================== " "NaSTaB`v'`hp'.dta 파일에서 `word'를(을) 포함한 변수 리스트" " ======================="
			d `r(varlist)'
			di _n
		}	
		
	}	
clear 		
end 	
